Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157770 - USB scanner not recognized a boot time
Summary: USB scanner not recognized a boot time
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sane-backends
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On: 157844 157845
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-15 00:49 UTC by Mark Goldberg
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-29 13:31:34 UTC


Attachments (Terms of Use)
Patch for /etc/hotplug/usb/libusbscanner (deleted)
2005-05-15 00:54 UTC, Mark Goldberg
no flags Details | Diff

Description Mark Goldberg 2005-05-15 00:49:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Red Hat/1.0.3-1.4.1 Firefox/1.0.3

Description of problem:
At boot time, no one is logged into the console, so permissions are not set correctly by /etc/hotplug/usb/libusbscanner. It is necessary to unplug and replug in the scanner before it can be used by root only. It is suggested to change /etc/hotplug/usb/libusbscanner similar to the attached patch (after creating a group scanner consisting of selected users) to allow group scanner to access the scanner. This is very similar to bug #122595.

The patch changes two things. It sets the default owner to root if noone is logged into the console, which is always the case at boot time, and it allows selected users other than root to use the scanner. It works at boot time and also if the scanner is disconnected and reconnected.


Version-Release number of selected component (if applicable):
sane-backends-1.0.14-6

How reproducible:
Always

Steps to Reproduce:
1. Boot the system.
2. Attempt to use the scanner as a regular user.

  

Actual Results:  Scanner is not available.

Expected Results:  Scanner should be available.

Additional info:

Comment 1 Mark Goldberg 2005-05-15 00:54:00 UTC
Created attachment 114390 [details]
Patch for /etc/hotplug/usb/libusbscanner

Comment 2 Mark Goldberg 2005-05-15 00:56:59 UTC
Sorry about the long lines in the comments. I will use returns in
the text entry box next time.


Comment 3 Tim Waugh 2005-05-16 14:09:17 UTC
I think this is unrelated to bug #122595.

Instead, I think this is bug #121511.  Work required:

1. pam package: add argument to pam_console_apply to restrict to specific files
   (as in pam-0.78-2)

2. hotplug package: fix usb remove events (as in hotplug-2004_04_01-10)

3. change libusbscanner script to match (as in sane-backends-1.0.15-8)

Your own patch is insufficient to fix the problem, as it mandates further set-up
on the part of the user (setting up a 'scanner' group etc).


Comment 4 Tim Waugh 2005-05-16 14:10:45 UTC
I have filed bug #157844 and bug #157845 and set them blocking this bug.

Comment 11 Tim Waugh 2005-06-29 13:31:34 UTC
This issue is not severe enough to warrant an updated package on its own. 
However, future Red Hat Enterprise Linux releases will contain the fix.


Note You need to log in before you can comment on or make changes to this bug.